Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class ManagedEntityKeyResultImpl

    java.lang.Object
      com.sun.management.oss.impl.ManagedEntityKeyResultImpl

All Implemented Interfaces:
  ManagedEntityKeyResult, java.io.Serializable

Direct Known Subclasses:
  OperationalStatusMonitorKeyResultImpl, PerformanceMonitorKeyResultImpl

public class ManagedEntityKeyResultImpl
extends java.lang.Object
implements ManagedEntityKeyResult

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Henrik Lindstrom
See Also:
  Serialized Form

Constructor Summary
`ManagedEntityKeyResultImpl()`

Method Summary
`java.lang.Exception` | `getException()` Returns the Exception associated with an operation failure.
`ManagedEntityKey` | `getManagedEntityKey()` Return the Managed Entity Key for which an operation result is reported.
`boolean` | `isSuccess()` Returns the success state of the operation.
`void` | `setException(java.lang.Exception ex)` Set the exception associated with an operation failure.
`void` | `setManagedEntityKey(ManagedEntityKey key)` Set the key of the managed entity targeted by the operation.
`void` | `setSuccess(boolean success)` Set the Success state of the operation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagedEntityKeyResultImpl

    public ManagedEntityKeyResultImpl()

Method Detail

### getManagedEntityKey

    public ManagedEntityKey getManagedEntityKey()

  Description copied from interface: `ManagedEntityKeyResult`
  Return the Managed Entity Key for which an operation result is reported.

  Specified by:
    `getManagedEntityKey` in interface `ManagedEntityKeyResult`
  Returns:
    com.sun.management.oss.ManagedEntityKey

### setManagedEntityKey

    public void setManagedEntityKey(ManagedEntityKey key)
                             throws java.lang.IllegalArgumentException

  Description copied from interface: `ManagedEntityKeyResult`
  Set the key of the managed entity targeted by the operation.

  Specified by:
    `setManagedEntityKey` in interface `ManagedEntityKeyResult`
  Parameters:
    `key` -
  Throws:
    `java.lang.IllegalArgumentException`

### isSuccess

    public boolean isSuccess()

  Description copied from interface: `ManagedEntityKeyResult`
  Returns the success state of the operation.

  Specified by:
    `isSuccess` in interface `ManagedEntityKeyResult`
  Returns:
    boolean

### setSuccess

    public void setSuccess(boolean success)

  Description copied from interface: `ManagedEntityKeyResult`
  Set the Success state of the operation.

  Specified by:
    `setSuccess` in interface `ManagedEntityKeyResult`
  Parameters:
    `success` -

### getException

    public java.lang.Exception getException()

  Description copied from interface: `ManagedEntityKeyResult`
  Returns the Exception associated with an operation failure.

  Specified by:
    `getException` in interface `ManagedEntityKeyResult`
  Returns:
    java.lang.Exception

### setException

    public void setException(java.lang.Exception ex)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `ManagedEntityKeyResult`
  Set the exception associated with an operation failure.

  Specified by:
    `setException` in interface `ManagedEntityKeyResult`
  Parameters:
    `ex` -
  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD